<div id="reports" class="table table_default" v-cloak>
  <div class="table__body">


{% for order in object_list %}
    <div class="table__item mod">
<div class="report">
	<a class="link report__thumb" href="/report/view/{{ order.report.id }}">
        <img src="/media/{{order.report.get_first_photo.image}}" alt="">
	</a>
    <a class="link report__body" href="/report/view/{{ order.report.id }}">
        <div class="report__sub-title">
            <span class="report__id">№{{ order.id }}</span>
            <span class="report__date"> от {{ order.created }}</span>
        </div>
        <h5 class="report__title">Отчет №{{ order.report.id }} от {{ order.report.created|date:'d.m.Y' }}
            {{ order.report.auto.mark_auto }} {{ order.report.auto }} </h5>
    </a>
    <div class="report__user">
        {% if perms.core.view_user %}
            <a class="link link_title" href="/user/user_detail/{{ order.report.executor.id }}">
                {{ order.report.executor.first_name }} {{ order.report.executor.last_name }} </a>
            <span>{{ order.price }} p </span>
        {% endif %}
    </div>
    {% if perms.report.change_reportpodbor or perms.report.delete_reportpodbor %}
        <div class="report__actions">
            <div class="dropdown">
                <div class="dropdown__control" @click="openDropdown">
                    <div class="btn btn_m btn_circle">
                        <div class="btn__icon icon icon_m">
                            <svg>
                                <use xlink:href="#icon_menu_24"></use>
                            </svg>
                        </div>
                    </div>
                </div>
                <div class="dropdown__content">
                    <div class="menu-controls">
                        {% if perms.report.change_reportpodbor %}
                            <div class="menu-controls__item">
                                <a class="menu-controls__link" href="/report/report-edit/{{ order.report.id }}">
                                    Редактировать
                                </a>
                            </div>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
</div>
    </div>
{% endfor %}

  </div>
</div>

{% if page_obj.has_other_pages %}
    <ul class="paginator pag-list">
        {% if page_obj.has_previous %}
            <li><a href="?page={{ page_obj.previous_page_number }}">
                <div class="paginator__arrow">
                    <div class="btn btn_m btn_square btn_paginator">
                        <div class="btn__icon icon icon_m">
                            <svg>
                                <use xlink:href="#svg-arrow-left"></use>
                            </svg>
                        </div>
                    </div>
                </div>
            </a></li>
        {% else %}
            <li class="disabled"><span><i class="fa fa-chevron-left" aria-hidden="true"></i></span></li>
        {% endif %}

        {% if page_obj.number|add:'-4' > 1 %}
            <li><a style="color: black; text-decoration: none;"
                   href="?page={{ page_obj.number|add:'-5' }}">&hellip;</a></li>
        {% endif %}
        {% for i in page_obj.paginator.page_range %}
            {% if page_obj.number == i %}
                <li class="btn btn_m btn_square btn_paginator btn_active active"><span
                        class="btn__title">{{ i }} </span></li>
            {% elif i > page_obj.number|add:'-5' and i < page_obj.number|add:'5' %}
                <li class="btn btn_m btn_square btn_paginator"><a class="btn__title"
                                                                  style="color: black; text-decoration: none;"
                                                                  href="?page={{ i }}">{{ i }}</a></li>
            {% endif %}
        {% endfor %}
        {% if page_obj.paginator.num_pages > page_obj.number|add:'4' %}
            <li><a style="color: black; text-decoration: none;"
                   href="?page={{ page_obj.number|add:'5' }}">&hellip;</a></li>
        {% endif %}
        {% if page_obj.has_next %}
            <li><a href="?page={{ page_obj.next_page_number }}">
                <div class="paginator__arrow">
                    <div class="btn btn_m btn_square btn_paginator">
                        <div class="btn__icon icon icon_m">
                            <svg>
                                <use xlink:href="#svg-arrow-right"></use>
                            </svg>
                        </div>
                    </div>
                </div>
            </a></li>
        {% else %}
            <li class="disabled"><span>
        </span></li>
        {% endif %}
    </ul>
{% endif %}


<script>
    $(document).ready(function () {
        $('#loader-wrapper').hide();
    });
</script>
